Bug 1260623 - Mouse reconnect takes long
Mouse reconnect takes long
Status: NEW
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 07:46 EDT by Berend De Schouwer
Modified: 2018-05-31 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:48:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Berend De Schouwer 2015-09-07 07:46:35 EDT
Description of problem:

Bluetooth mouse takes a long time to reconnect after, on or both:
* laptop suspend
* mouse powersave

The mouse does eventually reconnect, but this can take minutes, and the connection might have to be manually stopped and started in gnome-settings.


Version-Release number of selected component (if applicable):

probably kernel-4.1.6-200.fc22
possibly bluez-5.29-2.fc22

It's been happening for a few kernel versions.


How reproducible:

About 20% of the time.


Steps to Reproduce:
1. Boot
2. Pair Bluetooth mouse (and keyboard)
3. wait for suspend (or mouse powersave)
4. wakeup


Actual results:

Mouse doesn't respond.  The keyboard usually reconnects quickly.


Expected results:

Mouse and keyboard to reconnect in about a second.


Additional info:

When it happens, there are messages about "hci0 ACL packet for unknown connection", eg:

Sep 07 12:25:59 sieve-deschouwer-co-za kernel: Bluetooth: hci0 ACL packet for unknown connection handle 5
Sep 07 12:26:05 sieve-deschouwer-co-za kernel: Bluetooth: hci0 ACL packet for unknown connection handle 6
Sep 07 12:32:54 sieve-deschouwer-co-za kernel: Bluetooth: hci0 ACL packet for unknown connection handle 7

In this example, it took a few minutes.
Comment 1 Berend De Schouwer 2015-09-23 10:45:24 EDT
New Info One:

This is hardware dependent.

Realtek rtl8723be (USB 0bda:b001) exhibits this bug.  Reconnects take long (30 seconds?)

Kingston (Cambridge Silicon Radio, Ltd Bluetooth Dongle) (USB 0a12:0001) does not exhibit this bug.  Reconnect is quick (< 1 second)

On the same motherboard / installation / kernel, just a different dongle.  I can even duplicate it without logging in/out -- just swap the dongle.



New Info Two:

Fedora 23 has a patched driver for Realtek rtl8723be (see # 1208375) so I assume the patched driver is not 100% OK.  Should likely be re-assigned to kernel.



New Info Three:

This appears to only be a problem if there's more than one bluetooth device connected.  I haven't been able to duplicate it with just one device connected.

I'm not 100% confident of this statement.
Comment 2 Fedora End Of Life 2016-07-19 13:48:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Berend De Schouwer 2016-07-20 03:52:39 EDT
I can still reproduce this in Fedora 24, so I am re-opening this as the automated message suggests.
Comment 4 Jan Kurik 2018-05-31 05:00:32 EDT
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Note You need to log in before you can comment on or make changes to this bug.